%define	ver	2.1.7
%define rel	1mdk

Summary:	Desktop utility for tracking amount of time spent on projects
Name:		gnotime
Version:	%{ver}
Release:	%{rel}
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://gttr.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-root

# no tar.bz2 available on website
Source:		%{name}-%{version}.tar.bz2

# don't add libglib1.2-devel
BuildRequires:	libgnomeui2-devel >= 2.0.3
BuildRequires:	libglade2.0-devel >= 2.0.0
BuildRequires:	libgtkhtml2-devel >= 2.0.0
BuildRequires:	guile-devel

# no gconf, since schemas are not installed by default. Not useful to install
# it anyway, since at least 90% of config is not listed in schemas file
#BuildRequires:	GConf2
#Prereq:		GConf2 >= 2.3.3
# no scrollkeeper update, since omf files are not installed (and broken)
#Prereq:		scrollkeeper

%description
The GNOME Time Tracker is a desktop utility for tracking the amount of time
spent on projects, and generating configurable reports and invoices based
on that time. It also makes for a good to-to list tracker and idea organizer,
allowing to-do list items to be sorted even while providing ample notes-taking
area associated with each item.

GnoTime used to be known as GTT and was a part of the gnome-utils package.
It has now been split out of that package, and ported to GNOME 2.

%prep
%setup -q

%build
%configure2_5x
%make


%install
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << _EOF_ > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
command="%{_bindir}/%{name}" \
icon="%{_datadir}/pixmaps/gnome-cromagnon.png" \
longtitle="To-Do List Organizer, Diary and Billing System" \
needs="x11" \
section="Office/Time management" \
title="GnoTime Tracking Tool"
_EOF_

# looks like de docs are fscked up
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/help/gtt

%define gettext_package %{name}-2.0
%{find_lang} %{gettext_package} --with-gnome --all-name


%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT


%files -f %{gettext_package}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/gnome/apps/*/*.desktop
%{_mandir}/man?/*
%{_menudir}/%{name}

%changelog
* Tue Aug 12 2003 Abel Cheung <maddog@linux.org.hk> 2.1.7-1mdk
- First Mandrake spec
